<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title']='Добавление директории &amp; '.$_SERVER['HTTP_HOST'];

include_once '../../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

if(!isset($user)){
	echo '<div class="err">Доступ закрыт</div>';
	}else if(isset($user) && $user['level']<4){
		echo '<div class="err">Доступ закрыт</div>';
		}else{

if($_GET['act']=='dir'){

if(isset($_POST['name']) && isset($_POST['pos']) && isset($_POST['level'])){
	$name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
	$pos = intval($_POST['pos']);
	$level = intval($_POST['level']);

if(strlen2($name)>32){
	$err='Слишком большое название директории';
	}else if(strlen2($name)<3){
		$err='Слишком короткое название директории';
		}else if($pos<0){
			$err='Неверный выбор положения директории';
			}else{

mysql_query("INSERT INTO `smiles_dir` (`name`, `pos`, `level`) values('$name', '$pos', '$level')");
mysql_query("OPTIMIZE TABLE `smiles_dir`");
msg('Директория <b>'.$name.'</b> добавлена');
}
}

err();

echo '<form method="post" action="add.php?act=dir">';
echo 'Название:(3-32)<br/><input name="name" maxlength="32"/><br/>';
echo 'Позиция:(от 1)<br/><input name="pos"/><br/>';
echo 'Для какого уровня смайлы?(0-4)<br/><select name="level">';
echo '<option value="0">0</option><option value="1">1</option><option value="2">2</option>';
echo '<option value="3">3</option><option value="4">4</option></select>';
echo '<input value="Добавить" type="submit"/></form>';

echo '&#187;&nbsp;<a href="index.php">Отмена</a><br/>';
echo '&#187;&nbsp;<a href="../index.php">В админку</a><br/>';

}else if($_GET['act']=='smile'){
if(isset($_FILES['file']) && $_FILES['file']!=NULL && isset($_POST['name']) && isset($_POST['sim']) && isset($_POST['dir'])){
	$name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
	$dir_s = intval($_POST['dir']);
	$sim = htmlspecialchars($_POST['sim']);

if($imgc=@imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name']))){

	$name = retranslit($name);

if($name==NULL){
	$err = 'Название файла не заполнено';
	}else if(strlen2($name)>10){
		$err = 'Название слишком большое. max 10';
		}else if(strlen2($name)<1){
			$err = 'Название слишком маленькое. min 1';
			}else{

mysql_query("INSERT INTO `smiles_spis` (`name`, `id_dir`, `sim`) values ('".$name."', '$dir_s', '$sim')");
copy($_FILES['file']['tmp_name'], H.'style/smiles/'.$name.'.gif');
chmod(H.'style/smiles/'.$name.'.gif',0666);
msg("Смайл загружен");
}
}else{
	msg("Это не смайл");
	}
mysql_query("OPTIMIZE TABLE `smiles_spis`");
	}

err();

echo 'Загружать только *.gif<br/>';
echo '<form method="post" enctype="multipart/form-data" action="add.php?act=smile">';
echo '<input type="file" name="file" accept="image/*,image/gif"/><br/>';
echo '<b>Короткое название смайла:</b><br/><input name="name"><br/>';
echo '<b>На что заменяем?:</b><br/><input name="sim"><br/>';
echo '<b>Директория</b>:<br/><select name="dir">';

$q = mysql_query("SELECT * FROM `smiles_dir`");
while($dir = mysql_fetch_array($q)){
	echo '<option value="'.$dir['id'].'">'.esc(stripcslashes(htmlspecialchars($dir['name']))).'</option>';
	}
echo '</select><br/>';
echo '<input value="Загрузить" type="submit"/></form>';

echo '&#187;&nbsp;<a href="index.php">Отмена</a><br/>';
echo '&#187;&nbsp;<a href="../index.php">В админку</a><br/>';

}else{
	echo '<div class="err">Неверный ввод</div>';
	}
	}

echo '</div>';
include_once '../../sys/inc/tfoot.php';
?>